System Requirements

We are dedicated to providing you an accessible website that is viewable in the various technologies you use. Please review our system requirements to ensure your devices meet these requirements.

Treasury Banking Suite Requirements

SUPPORTED BROWSERS, OPERATING SYSTEMS, & TABLETS

Browsers

  • Internet Explorer (Version 11)
  • Microsoft Edge (Any version currently supported by Microsoft)
  • Mozilla Firefox (Version 65+)
  • Google Chrome (Version 70+)
  • Apple Safari browser is not officially supported, but there are no known issues between the most recent version of Safari and Treasury Banking Suite software.
  • Treasury Banking Suite Secure Browser (TBS)
    • Computers must have a Personal System/2 (PS/2) style of USB Human Interface Device (HID) keyboard installed.
  • The following platforms do not support TBS:
    • Windows Server
    • Windows Phone or Windows 10 Mobile
    • Windows 10 in S mode (Microsoft Store only)
  • Application does not support installing in Remote Desktop Services (RDS, formerly Terminal Services) and multi-user thin-client virtual desktop infrastructure (VDI) environments due to common issues with keyboard encryption, snapshot management and folder redirection, depending on how you configured the environment.

Windows OS

32- and 64-bit operating systems are supported.

  • Windows 8, 8.1, and 10 (MSB and Secure Browser)
    • Dual core 2 GHz or more microprocessor
    • 2GB of RAM (32-bit) or 4GB of RAM (64-bit)
    • 16 GB (32-bit) or 20 GB (64-bit) of Hard Drive space (minimum)
  • MAC OS

    Must have Intel processor.

  • 10.13 High Sierra, 10.14 Mojave, 10.15 Catalina (Secure Browser)
    • 2 GB of RAM (4 GB Recommended)
    • 10 GB of Hard Drive space
  • NATIVE APPS

  • Apple
    • iPads and iPhones running iOS 11 or newer Note: Only the most recent release of an OS version is supported
  • Android
    • Phone and tablets running OS 5 or newer
  • 1.2 GHZ dual core chip or better
  • 1 GB or more of RAM
  • INCOMPATIBLE SOFTWARE

    Certain security software is incompatible with the Treasury Banking Suite browser. Attempts to use both simultaneously may render the computer inoperable. The incompatible products listed below all use the same licensed Device Control technology. To avoid errors, it is recommended that the browser not be installed on any Windows machine that has or has ever had these products.

    • Lumension Device Control module for Lumension Endpoint Management and Security Suite (a.k.a. Lumension Endpoint Security Device Control, LES DC), all versions
    • Ivanti Endpoint Security Device Control (a.k.a. HEAT Endpoint Security Device Control) and all Ivanti products that integrate the Device Control technology, all versions
    • ThreatTrack Security VIPRE Antivirus Business Premium, all 7.5.x versions subsequent to and including 7.5.5819
    • Any product using the same licensed Device Control technology as the products above but not specifically listed here